it-swarm-es.tech

¿Todavía es necesario desactivar Recordarme al migrar de 2.5 a 3.x?

Con 3.3 y 3.2.4, ¿es necesario desactivar el complemento? ¿Recordarme? ¿Cuál es la razón técnica?

4
sovainfo

Para responder 'cuál es la razón técnica', eché un vistazo a través del rastreador y las notas de GitHub. El problema parece ser doble: una falla al eliminar ciertos archivos durante la actualización y la falla al aplicar ciertas actualizaciones SQL. Sin embargo, si solo afecta a unos y no a otros. Ver bug tracker para información adicional.

El enfoque general de la opción de mejores prácticas parece ser:

Si aún no está descifrado ...

  • ¡Apoyo!
  • Deshabilitar System -> Remember Me enchufar
  • Hacer la actualización
  • Habilitar System -> Remember Me enchufar

Si está descorchado y no hay copia de seguridad ...

Cuando la instalación falla en url /administrator/index.php?option=com_joomlaupdate&task=update.finalise con el error php '\ plugins\system\remember\remember.php en la línea 94'

Ejecutar\cli\deletefiles.php desde la línea de comandos y luego actualizar el /administrator/index.php?option=com_joomlaupdate&task=update.finalise da ÉXITO COMPLETO

Este commit aparentemente soluciona el problema, pero sugiere que tiene que ver con $this->app no está prepoblado por el sistema. También puede valer la pena echarle un vistazo si lo anterior falla. Tenga en cuenta que esta es una solicitud de extracción bastante reciente (16 de abril de 2014) y no ha sido aprobada en el rastreador: YMMV.

6
codinghands

El problema solo aparece en ciertos servidores, por razones que aún no sé exactamente. En mis servidores funciona sin problemas, pero un amigo también tuvo este problema.

He hecho un RP que creo que resolverá el problema, vea https://github.com/joomla/joomla-cms/pull/3467 . Si alguien que tiene este problema puede probar este parche y ver si soluciona el problema, entonces sería genial :-)

1
Bakual